CALIBREDB(1)

NAME
calibredb - calibredb

            calibredb komento [valinnat] [arvot]

:command:'calibredb' on komentoriviliittymä calibren tietokantaan. Siinä on useita alikomentoja, jotka on dokumentoitu alla.

:command:'calibredB' voidaan käyttää käsittelemään joko calibren tietokantaa määritetty polku tai kaliiperin mukaan :guilabel:'Content server', joka toimii joko paikallisella koneella tai Internetin kautta. Voit käynnistää calibren :guilabel:'Content server' käyttäen jompaakumpaa :command:'calibre-server' -ohjelmassa tai pääkaliiperiohjelmassa napsauta :guilabel:'Yhdistä / jaa -> Käynnistä Sisältöpalvelin". Koska :command:'calibredb' voi tehdä muutoksia calibre kirjastoon, sinun on ensin määritettävä todennus palvelimelle. Siellä on kaksi tapaa tehdä se:

    •

        Jos aiot muodostaa yhteyden vain samassa tietokoneessa toimivaan palvelimeen,
                        voit yksinkertaisesti käyttää ''--enable-local-write'' Sisältöpalvelin-vaihtoehtoa, joka sallii minkä tahansa ohjelman, mukaan lukien calibredb, suorittamisen paikallisessa tietokoneessa, jos haluat tehdä muutoksia calibre-tietoihin. Kun suoritat

                    palvelimen Calibre-pääohjelmasta, tämä vaihtoehto on kohdassa
                        Preferences → Sharing over the net → Advanced.

            •   Jos haluat ottaa käyttöön Internetin kautta tapahtuvan käytön, sinun on asennettava seuraavat asetukset

    käyttäjätilit palvelimelle ja käyttää --käyttäjänimi ja --salasana.
            vaihtoehdoilla calibredb antaa sille pääsyn. Voit määrittää käyttäjän todennuksen calibre-server:lle käyttämällä asetusta --enable-auth. vaihtoehdon avulla ja käyttämällä --manage-users käyttäjätilien luomiseen. Jos käytät palvelinta calibren pääohjelmasta käsin, käytä komentoa Preferences → Sharing over the net → Require username/password.

    Jos haluat muodostaa yhteyden käynnissä olevaan sisältöpalvelimeen, anna palvelimen URL-osoite komentoon

--with-library -vaihtoehtoa, katso kyseisen vaihtoehdon dokumentaatiosta lisätietoja. lisätietoja ja esimerkkejä.

    •   GLOBAALIT ASETUKSET

    •   list

    •   add

        •   LISÄTÄÄN KANSIOISTA

    •   remove

    •   add_format

    •   remove_format

    •   show_metadata

    •   set_metadata

    •   export

    •   catalog

        •   EPUB ASETUKSET

    •   saved_searches

    •   add_custom_column

    •   custom_columns

    •   remove_custom_column

    •   set_custom

    •   restore_database

    •   check_library

    •   list_categories

    •   backup_metadata

    •   clone

    •   embed_metadata

    •   search

    •   fts_index

    •   fts_search

GLOBAALIT ASETUKSET

    --help, -h
        näytä tämä ohjeviesti ja poistu

    --library-path, --with-library
        Path to the calibre library. Default is to use the path stored in the settings. You can also connect to a calibre Content server to perform actions on remote libraries. To do so use a URL of the form: <http://hostname:port/#library_id> for example, <http://localhost:8080/#mylibrary>. library_id is the library id of the library you want to connect to on the Content server. You can use the special library_id value of - to get a list of library ids available on the server. For details on how to setup access via a Content server, see <https://manual.calibre-ebook.com/generated/en/calibredb.html>.

    --password
        Salasana calibre Content-palvelimelle. Lukeaksesi salasana tavallisesti syötettynä, käytä valintaa: <stdin>. Lukeaksesi salasan tiedostosta, käytä: <f:/path/to/file> (esim. <f: followed by the full path to the file and a trailing >). Hakasulkeet ovat pakolliset, muista lisätä niille ohitusmerkit tai käytä lainausmerkkejä.

    --timeout
        Odotusaika sekunneissa kun calibre-kirjastoon yhdistetään verkon kautta. Oletuksena on kaksi minuuttia.

    --username
        Käyttäjätunnus calibre Content -palvelimelle

    --version
        näytä ohjelman versionumero ja poistu

LIST

            calibredb listaa[options]

Listaa calibre-tietokannan kirjat.

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --ascending
        Järjestä tulokset nousevaan järjestykseen

    --fields, -f
        Kentät, jotka näytetään kirjoja listattaessa, pilkuin erotettuna sarjana. Käytettävissä olevat kentät: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Oletus: %. Erikoiskentällä "all" valitaan kaikki kentät. Valmiiden listojen lisäksi, mukautettuja listoja voi kutsua *kentän_nimi, esimerkiksi mukautetun kentän #arvio voit kutsua nimellä: *arvio

    --for-machine
        Luo tulokset JSON-formaatissa, joka soiveltuu hyvin tietokoneen luettavaksi. Tätä käytettäessä ei huomioida rivin pituutta ja välimerkkejä.

    --limit
        Näytettävien tulosten maksimimäärä. Oletus: kaikki

    --line-width, -w
        Yksitäisen rivin maksimipituus. Oletusarvona käytetään näytön kokoa.

    --prefix
        Kaikkien polkujen eteen liitettävä teksti. Oletuksena käytetään kirjastokansion hakemistopolkua.

    --search, -s
        Suodata tulokset hakulausekkeella. Ohjeet hakulausekkeen muotoiluun löytyvät Käyttöohjeesta. Oletuksena tuloksia ei suodateta.

    --separator
        Kenttien erottamiseen käytettävät välimerkit. Oletus on välilyönti.

    --sort-by
        Kenttä, jonka mukaan tulokset lajitellaan. Voit määrittää useita kenttiä erottamalla ne pilkuilla. Käytettävissä olevat kentät: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Oletus: id. Yllä olevien kenttien lisäksi käytettävissä on myös mukautettuja kenttiä muodossa *field_name, esim. mukautetulle kentälle #rating käytä nimeä: *rating

    --template
        Suoritettava mallipohja, jos kenttälistalla on "template". Huomaa, että mallipohjat ohitetaan yhdistettäessä Calibre-palvelimeen. Oletus: Ei mitään

    --template_file, -t
        Polku suoritettavan mallin sisältävään tiedostoon, jos kenttäluettelossa on "template". Oletus: Ei mitään

    --template_heading
        Mallisarakkeen otsikko. Oletus: template. Tämä asetus ohitetaan, jos asetus --for-machine on määritetty

ADD

            calibredb lisää [asetukset] tiedosto1 tiedosto2 tiedosto3 ...

Lisää määritetyt tiedostot kirjoina tietokantaan. Voit myös määrittää kansioita, katso alla olevat kansioon liittyvät vaihtoehdot.

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --authors, -a
        Annan tekijoiden nimet lisäty(i)lle.

    --automerge, -m
        Jos löytyy kirjoja, joilla on samanlaiset nimet ja tekijät, yhdistä saapuvat formaatit (tiedostot) automaattisesti olemassa oleviin kirjatietueisiin. "Ohita" tarkoittaa, että päällekkäiset formaatit hylätään. "Korvaa" tarkoittaa, että kirjaston päällekkäiset muodot korvataan juuri lisätyillä tiedostoilla. Arvo "Uusi tietue" tarkoittaa, että kaksoiskappaleet sijoitetaan uuteen kirjatietueeseen.

    --cover, -c
        Polku lisättyyn kirjaan käytettävään kanteen

    --duplicates, -d
        Lisää kirjoja tietokantaan, vaikka ne olisivat jo olemassa. Vertailu tehdään kirjan otsikoiden ja kirjoittajien perusteella. Huomaa, että --automerge-vaihtoehto on ensisijainen.

    --empty, -e
        Lisää tyhjä kirja. (Kirjan kirjaus ilman tallennusmuotoja)

    --identifier, -I
        Aseta tunnisteet tälle kirjalle, esim. -l asin:XXX -l isbn:YYY

    --isbn, -i
        Anna ISBN lisäty(i)lle

    --languages, -l
        Pilkulla erotettu luettelo kielistä (paras käyttää ISO639-kielikoodeja, vaikka jotkin kielten nimet voidaan myös tunnistaa).

    --series, -s
        Aseta sarja lisäty(i)lle

    --series-index, -S
        Anne sarjanumero lisäty(i)lle

    --tags, -T
        Aseta lisätyn kirjan (kirjojen) tagit

    --title, -t
        Anna nimi lisäty(i)lle.

  LISÄTÄÄN KANSIOISTA

Vaihtoehdot kirjojen lisäämisen hallitsemiseksi kansioista. Oletusarvoisesti lisätään vain tiedostot, joilla on tunnettujen e-kirjatyyppien tiedostopäätteet.

    --add
        Tiedostonimimalli (glob), tätä mallia vastaavat tiedostot lisätään, kun kansioita etsitään tiedostojen varalta, vaikka ne eivät olisikaan tunnettua e-kirjatiedostotyyppiä. Voidaan määrittää useita kertoja useille kuvioille.

    --ignore
        Tiedostonimimalli (glob), tätä mallia vastaavat tiedostot ohitetaan, kun kansioita etsitään tiedostojen varalta. Voidaan määrittää useita kertoja useille kuvioille. Esimerkiksi: *.pdf ohittaa kaikki PDF-tiedostot

    --one-book-per-directory, -1
        Oleta, että kussakin kansiossa on vain yhtä kirjaa ja kaikki siinä olevat tiedostot ovat tämän kirjan eri e-kirjaformaatteja

    --recurse, -r
        Käsittele kansioita rekursiivisesti

REMOVE

            calibredb remove ids

Poista id:itä vastaavat kirjat tietokannasta. Id:t tulee listata pilkuin erotettuna sarjana. Id:t löytyvät hakutoiminnolla. Esimerkki: 23,34,57-85 (id-välin viimeistä numeroa ei huomioida).

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --permanent
        Älä käytä Roskakori

ADD_FORMAT

            %p rog add_format [options] id ebook_file

Lisää ebook_file-tiedostossa oleva e-kirja id:llä yksilöidyn loogisen kirjan käytettävissä oleviin formaatteihin. Voit saada id:n käyttämällä hakukomentoa. Jos formaatti on jo olemassa, se korvataan, ellei 'Älä korvaa' -vaihtoehtoa ole määritetty.

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --as-extra-data-file
        Lisää tiedosto kirjaan ylimääräisenä datatiedostona, ei e-kirjamuotona

    --dont-replace
        Älä korvaa formaattia, jos se on jo olemassa

REMOVE_FORMAT

            calibredb remove_format [options] id fmt

Poista formaatti fmt id:n osoittamasta loogisesta kirajsta. Löydät id:n hakutoiminnolla. fmt:n tulee vastata tiedostopäätettä kuten LRF, TXT tai EPUB. Jos fmt:a ei ole loogiselle kirjalle, älä tee mitään.

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

SHOW_METADATA

            calibredb show_metadata [vaihtoehdot] id

Näytä tietokannan metadata id:n mukaiselle kirjalle. Saat listan id:istä haulla.

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --as-opf
        Tulosta metadata OPF-muodossa (XML)

SET_METADATA

            calibredb set_metadata [options] book_id [/path/to/metadata.opf]

Asettaa calibre-tietokantaan tallennetun metadatan kirjalle, joka on tunnistettu book_id OPF-tiedostosta metadata.opf. book_id on kirjan tunnistenumero hakukomennosta. Voit tutustua nopeasti OPF-muotoon käyttämällä komentoa --as-opf switch show_metadata-komentoa. Voit myös asettaa yksittäisten kenttien metadatan --field-vaihtoehdolla. Jos käytät --field-vaihtoehtoa, silloin ei tarvitse määrittää OPF-tiedostoa.

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --field, -f
        Asetettava kenttä. Muoto on kentän_nimi:arvo, esimerkiksi: --field tagit:tagi1,tagi2. Käytä --list-fields saadaksesi luettelon kaikista kenttien nimistä. Voit määrittää tämän vaihtoehdon useita kertoja asettaaksesi useita kenttiä. Huomautus: Kielissä on käytettävä ISO639-kielikoodeja (esim. en englannille, fi suomelle jne.). Tunnisteiden syntaksi on --field identifiers:isbn:XXXX,doi:YYYYY. Boolean (kyllä/ei) -kenttien kohdalla käytä true ja false tai yes ja no.

    --list-fields, -l
        Luettele metadatakenttien nimet, joita voidaan käyttää --field-asetuksen kanssa

EXPORT

            calibredb export [options] ids

Vie id:llä määritetyt kirjat (pilkuilla erotettu luettelo) tiedostojärjestelmään. Vientitoiminto tallentaa kaikki kirjan formaatit, kannen ja metadata( OPF-tiedostossa). Myös kirjaan liittyvät ylimääräiset datatiedostot tallennetaan. Saat tunnusnumerot hakukomennosta.

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --all
        Vie kaikki kirjat tietokannasta, nimerttyjä id:itä ei huomioida.

    --dont-asciiize
        Pyydä Calibrea muuntamaan kaikki muut kuin englanninkieliset merkit englanninkielisiksi vastineiksi tiedostonimille. Tämä on hyödyllistä, jos tallennetaan vanhaan tiedostojärjestelmään, jossa ei ole täyttä tukea Unicode-tiedostonimille. Valinta poistaa toiminnon.

    --dont-save-cover
        Normaalisti calibre tallentaa kannen erilliseen tiedostoon varsinaisten e-kirjatiedostojen kanssa. Valinta poistaa toiminnon.

    --dont-save-extra-files
        Tallenna kaikki kirjaan liittyvät datatiedostot kirjaa tallennettaessa Valinta poistaa toiminnon.

    --dont-update-metadata
        Normaalisti calibre päivittää tallennettujen tiedostojen metadatan calibre-kirjastossa olevien tietojen perusteella. Tekee tallentamisesta levylle hitaampaa. Valinta poistaa toiminnon.

    --dont-write-opf
        Normaalisti calibre kirjoittaa metatiedot erilliseen OPF-tiedostoon varsinaisten e-kirjatiedostojen mukana. Valinta poistaa toiminnon.

    --formats
        Pilkulla erotettu luettelo kunkin kirjan tallennettavista formaateista. Oletuksena kaikki käytettävissä olevat muodot tallennetaan.

    --progress
        Raportoi eteneminen

    --replace-whitespace
        Korvaa välilyönnit alleviivauksilla.

    --single-dir
        Vie kaikki kirjat yhteen kansioon

    --template
        Malli, jolla ohjataan tallennettujen tiedostojen tiedostonimeä ja kansiorakennetta. Oletusarvo on "{author_sort}/{title}/{title} - {authors}", joka tallentaa kirjat kirjailijakohtaiseen alikansioon, jonka tiedostonimet sisältävät otsikon ja kirjailijan. Käytettävissä olevat ohjaimet ovat: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

    --timefmt
        Muoto, jossa päivämäärät näytetään. %d - päivä, %b - kuukausi, %m - kuukauden numero, %Y - vuosi. Oletusarvo on: %b, %Y

    --to-dir
        Vie kirjat määrättyyn kansioon. Oletus on .

    --to-lowercase
        Muunna polut pieniksi kirjaimiksi.

CATALOG

            calibredb catalog /path/to/destination.(csv|epub|mobi|xml...) [options]

Vie luettelo polku/kohteeseen/kohteeseen -laajennuksen määrittämässä muodossa. Asetukset määrittävät, miten merkinnät näytetään luodussa luettelotuotoksessa. Huomaa, että eri luettelomuodot tukevat erilaisia asetusjoukkoja. Nähdäksesi eri vaihtoehdot, määritä lähtötiedoston nimi ja sitten --help-vaihtoehto.

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --ids, -i
        Pilkulla erotettu luettelo luetteloitavista tietokantatunnuksista. Jos tyhjennetty --haku jätetään huomiotta. Oletusarvo: kaikki

    --search, -s
        Suodata tulokset haulla. Hakulausekkeen muotoiluohjeet löytyvät Käyttöohjeesta. Oletus: ei suodatusta

    --verbose, -v
        Näytä detaljoidut viennin tiedot. Hyödyksi virheenetsinnässä

  EPUB ASETUKSET

    --catalog-title
        Luodun luettelon otsikko, jota käytetään metatietojen otsikkona. Oletus: 'My Books' Koskee: AZW3-, EPUB- ja MOBI-tulostusmuodot

    --cross-reference-authors
        Luo ristiviittauksia Tekijät-osiossa kirjoille, joilla on useita kirjoittajia. Oletus: 'False' Koskee: AZW3-, EPUB- ja MOBI-tulostusmuodot

    --debug-pipeline
        Tallenna muuntoputken eri vaiheiden tuotokset määritettyyn kansioon. Hyödyllinen, jos et ole varma, missä vaiheessa muuntoprosessia virhe ilmenee. Oletus: 'None' Koskee: AZW3-, EPUB- ja MOBI-tulostusmuodot

    --exclude-genre
        Regex kuvailee tageja, jotka suljetaan pois lajityyppeinä. Oletus: '[.+]|^+$' sulkee pois suluissa olevat tagit, esimerkiksi '[Project Gutenberg]', ja '+', joka on luettujen kirjojen oletustagi. Koskee: AZW3-, EPUB- ja MOBI-tulostusmuodot

    --exclusion-rules
        Määrittää säännöt, joiden avulla kirjat jätetään pois luodusta luettelosta. Poissulkemissäännön malli on joko ('<rule name>','Tagit','<pilkulla erotettu luettelo tunnisteista>') tai ('<rule name>','<muokattu sarake>','<malli>'). Esim: (('Arkistoidut kirjat','#status','Arkistoitu'),) sulkee pois kirjan, jonka arvo on 'Arkistoitu' mukautetussa sarakkeessa 'status'. Kun useita sääntöjä on määritelty, kaikkia sääntöjä sovelletaan. Oletusarvo: "(('Catalogs','Tags','Catalog'),)" Koskee: AZW3-, EPUB- ja MOBI-lähtöformaatteja

    --generate-authors
        Sisällytä "Tekijät"-osio luetteloon. Oletus: 'False' Koskee: AZW3-, EPUB- ja MOBI-lähtöformaatteja

    --generate-descriptions
        Sisällytä luetteloon kuvaukset-osio. Oletus: 'False' Koskee: AZW3-, EPUB- ja MOBI-lähtöformaatteja

    --generate-genres
        Sisällytä "Lajityypit"-osio luetteloon. Oletus: 'False' Koskee: AZW3-, EPUB- ja MOBI-lähtöformaatteja

    --generate-recently-added
        Sisällytä luetteloon Äskettäin lisätyt" -osio. Oletus: 'False' Koskee: AZW3-, EPUB- ja MOBI-lähtöformaatteja

    --generate-series
        Sisällytä "Sarja"-osio luetteloon. Oletus: 'False' Koskee: AZW3-, EPUB- ja MOBI-lähtöformaatteja

    --generate-titles
        Sisällytä "Otsikot"-osio luetteloon. Oletus: 'False' Koskee: AZW3-, EPUB- ja MOBI-lähtöformaatteja

    --genre-source-field
        Lähdekenttä "Tyylilajit"-osiossa. Oletus: 'Tagit' Koskee: AZW3-, EPUB- ja MOBI-lähtöformaatteja

    --header-note-source-field
        Mukautettu kenttä, joka sisältää kuvausotsikkoon lisättävän huomautustekstin. Oletus: '' Koskee: AZW3-, EPUB- ja MOBI-lähtöformaatteja

    --merge-comments-rule
        #<custom field>:[before|after]:[True|False] määrittely: <custom field> Mukautettu kenttä, joka sisältää huomautuksia, jotka yhdistetään kommentteihin [before|after] Huomautusten sijoittaminen suhteessa kommentteihin [True|False] - Huomautusten ja kommenttien väliin lisätään vaakasuora viiva Oletus: '::' Sovelletaan: AZW3-, EPUB- ja MOBI-lähtömuotoihin

    --output-profile
        Määrittää lähtöprofiilin. Joissakin tapauksissa tarvitaan lähtöprofiili luettelon optimoimiseksi laitetta varten. Esimerkiksi 'kindle' tai 'kindle_dx' luo jäsennellyn sisällysluettelon, jossa on jaksoja ja artikkeleita. Oletus: 'None' Koskee: AZW3-, EPUB- ja MOBI-lähtöformaatteja

    --prefix-rules
        Määrittää säännöt, joita käytetään luettuja kirjoja, toivomuslistan kohteita ja muita käyttäjän määrittämiä etuliitteitä osoittavien etuliitteiden sisällyttämiseen. Etuliitesäännön malli on ('<rule name>','<source field>','<pattern>','<prefix>'). Kun useita sääntöjä on määritelty, käytetään ensimmäistä vastaavaa sääntöä. Oletusarvo: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Koskee: AZW3-, EPUB- ja MOBI-lähtöformaatteja

    --preset
        Käytä nimettyä esiasetusta, joka on luotu GUI-luettelon rakentajalla. Esiasetus määrittää kaikki luettelon rakentamiseen tarvittavat asetukset. Oletus: 'None' Koskee: AZW3-, EPUB- ja MOBI-lähtöformaatteja

    --thumb-width
        Kokovihje (tuumina) kirjojen kansia varten luettelossa. Valikoima: 1.0 - 2.0 Oletus: '1.0' Koskee: AZW3-, EPUB- ja MOBI-lähtöformaatteja

    --use-existing-cover
        Korvaa nykyinen kansi luetteloa laadittaessa. Oletus: 'False' Koskee: AZW3-, EPUB- ja MOBI-lähtöformaatteja

SAVED_SEARCHES

            calibredb saved_searches [options] (list|add|remove)

Hallitsee tähän tietokantaan tallennettuja hakuja. Jos yrität lisätä kyselyn, jonka nimi on jo olemassa, se korvataan.

Syntaksi lisäämiseen:

calibredb saved_searches add search_name search_expression

Syntaksi poistoon:

calibredb saved_searches remove search_name

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

ADD_CUSTOM_COLUMN

            calibredb add_custom_column [options] otsikko nimi tietotyyppi

Luo mukautettu sarake. Otsikko on koneystävällinen nimi sarakkeelle. Se ei saa sisältää välilyöntejä tai pisteitä. Nimi on ihmisystävällinen nimi sarakkeelle. tietotyyppi on jokin näistä: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --display
        Lista vaihtohtoja tämän sarakkeen tietojen käsittelyyn. Tämä on JSON lauseke. Järjestäville sarakkeille käytetään --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}". Esitysmuuttujaan voi sisällyttää useita vaihtoehtoja. Sarakkeittain näitä ovat: composite: composite_template, composite_sort, make_category,contains_html, use_decorations datetime: date_format enumeration: enum_values, enum_colors, use_decorations int, float: number_format text: is_names, use_decorations Hyvä tapa toimivien yhdistelmien löytämiseen on tehdä mukautettu sarake sopivasta tyypistä GUI:ssa ja sitten etsiä OPF varmuuskopiosta kirjaa (varmista, että sarakkeen luomisen jälkeen luotiin uusi OPF). Uudessa OPF:ssä on nyt uuden sarakkeen esittävä JSON.

    --is-multiple
        Tähän sarakkeeseen tallennetaan tunnisteiden kaltaisia tietoja (eli useita pilkulla erotettuja arvoja). Sovelletaan vain, jos tietotyyppi on teksti.

CUSTOM_COLUMNS

            calibredb custom_columns [options]

Luettelo käytettävissä olevista sarakkeista. Näyttää sarakkeiden otsikot ja id:t.

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --details, -d
        Näytä sarakkeiden tiedot.

REMOVE_CUSTOM_COLUMN

            calibredb remove_custom_column [Options] -tunniste

Poista tunnisteen määrittämä mukautettu sarake. Näet käytettävissä olevat sarakkeet, joissa on custom_columns-komento.

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --force, -f
        Älä kysy vahvistusta

SET_CUSTOM

            calibredb set_custom [options] -sarakkeen tunnusarvo

Määritä tunnuksella tunnistetun kirjan mukautetun sarakkeen arvo. Saat luettelon tunnuksista hakukomennolla. Voit saada luettelon mukautetuista sarakenimistä käyttämällä custom_columns komentoa.

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --append, -a
        Jos sarakkeessa on useampia arvoja, liitä määritetyt arvot olemassa oleviin, sen sijaan että ne korvattaisiin.

RESTORE_DATABASE

            calibredb restore_database [options]

Palauttaa tämän tietokannan OPF-tiedostoihin tallennetuista metadatasta kussakin calibre-kirjaston kansiossa. Tämä on hyödyllistä, jos metadata.db-tiedosto on on vioittunut.

VAROITUS: Tämä komento uusii tietokantasi kokonaan. Menetät kaikki tallennetut haut, käyttäjäkategoriat, plugboardit, tallennetut kirjakohtaiset muunnokset asetukset ja mukautetut reseptit. Palautettu metadata on vain niin tarkka kuin kuin mitä OPF-tiedostoissa on.

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --really-do-it, -r
        Varmistus palautuksen suorittamiselle. Komentoa ei suoriteta ellei tätä aseteta.

CHECK_LIBRARY

            calibredb check_library [options]

Tarkastaa kirjaston tiedostorakennetta. Raportit ovat invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, malformed_formats, malformed_paths, failed_folders

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --csv, -c
        Tallenna CSV:nä

    --ignore_extensions, -e
        Pilkuin erotettu luettelo ohitettavista tiedostopäätteistä. Oletus: kaikki

    --ignore_names, -n
        Pilkuin erotettu lista ohitettavista nimistä. Oletus: kaikki

    --report, -r
        Pilkuin erotettu lista raporteista. Oletus: kaikki

    --vacuum-fts-db
        Imuroi koko tekstihaun tietokanta. Tämä voi olla hyvin hidasta ja muistia vaativaa tietokannan koosta riippuen.

LIST_CATEGORIES

            calibredb list_categories [options]

Tuota raportti tietokannan luokkatiedoista. Tiedot vastaavat Tagiselaimessa näkyviä tietoja.

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --categories, -r
        Pilkuin erotettu listaus kategorioiden hakunimistä. Oletus: kaikki

    --csv, -c
        Tallenna CSV:nä

    --dialect
        Tuotettavan CSV-tiedoston tyyppi. Vaihtoehdot: excel, excel-tab, unix

    --item_count, -i
        Näytä vain kappalemäärät kategorioittain eikä määriä kappaleittain eriteltynä

    --width, -w
        Yksitäisen rivin maksimipituus. Oletusarvona käytetään näytön kokoa.

BACKUP_METADATA

            %pROG-backup_metadata [options]

Varmuuskopioi tietokantaan tallennettu metadata yksittäisiin OPF-tiedostoihin kussakin kirjat-kansiossa. Tämä tapahtuu yleensä automaattisesti, mutta voit suorittaa tämän komennon pakottamaan OPF-tiedostojen uudelleenluonti --all-vaihtoehdolla.

Huomaa, että tätä ei yleensä tarvitse tehdä, koska OPF-tiedostot varmuuskopioidaan automaattisesti aina, kun metadataa muutetaan.

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --all
        Normaalisti tämä komento toimii vain kirjoihin joiden OPF-tiedosto on vanhentunut. Valinta pakottaa sen kaikkiin kirjoihin.

CLONE

            calibredb clone path/to/new/library

Luo klooni nykyisestä kirjastosta. Tämä luo uuden, tyhjän kirjaston, jossa on kaikki samat mukautetut sarakkeet, virtuaalikirjastot ja muut asetukset kuin nykyisessä kirjastossa.

Kloonattu kirjasto ei sisällä kirjoja. Jos haluat luoda täydellisen kaksoiskappaleen, mukaan lukien kaikki kirjat, niin kopioi Kirjasto-kansio tiedostojärjestelmän työkaluilla.

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

EMBED_METADATA

            calibredb embed_metadata [options] book_id

Päivitä varsinaisten kirjatiedostojen metadata calibre-kirjaston tietokannan metadataa mukaisiksi. Yleensä metadata päivitetään vain vietäessä tiedostoja ulos calibresta, mutta näin voit muokata olemassa olevia tiedostoja. Huomaa, että eri formaatit sallivat erilaista metadataa. Voit käyttää valitsinta 'kaikki' kaikkien kirjojen metadatan päivittämiseen. Voit myös määrittää monien kirjojen id:t väleillä erotettuna ja id-alueita väliviivoilla. Esimerkiksi calibredb embed_metadata 1 2 10-15 23

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --only-formats, -f
        Päivitä vain määritetyn tiedostotyypin metadata. Määrittele tarvittaessa useampia tiedostoformaatteja. Oletuksena päivitetään kaikki formaatit.

SEARCH

            calibredb search [options] search expression

Etsii kirjastosta määritetyn hakusanan ja palauttaa pilkulla erotellun listan kirjojen tunnuksista, jotka vastaavat hakulauseketta. Lähtömuoto on hyödyllistä syöttää muihin komentoihin, jotka hyväksyvät syötteenä listan tunnuksia.

Hakulauseke voi olla mitä tahansa Calibren tehokkaasta hakukyselystäkielestä, esimerkiksi: calibredb search author:asimov 'title:"i robot"'

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --limit, -l
        Tulosten maksimimäärä. Oletus on näyttää kaikki tulokset.

FTS_INDEX

            calibredb fts_index [options] enable/disable/status/reindex

Hallitse kokotekstihaun indeksointiprosessia.

    enable
        Ottaa FTS-indeksoinnin käyttöön tässä kirjastossa

    disable
        Poistaa FTS-indeksoinnin käytöstä tässä kirjastossa

    status
        Näyttää indeksoinnin nykyisen tilan

    reindex
                    Voidaan käyttää joko tiettyjen kirjojen tai

            koko kirjastonuudelleen indeksointiin. Tiettyjen kirjojen uudelleenindeksointi

        määrittää kirjojen tunnukset lisäargumentteina reindex-komennon jälkeen.
                Jos kirjojen tunnuksia ei määritetä, komento

        koko kirjasto indeksoidaan uudelleen.

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --indexing-speed
        Indeksoinnin nopeus. Käytä nopeaa indeksointia kaikkiin tietokoneesi resursseihin ja hidasta vähemmän resursseja kuluttavaan indeksointiin. Huomaa, että nopeus nollataan hitaaksi jokaisen kutsun jälkeen.

    --wait-for-completion
        Odota, kunnes kaikki kirjat on indeksoitu, ja näytä indeksoinnin edistyminen säännöllisesti

FTS_SEARCH

            calibredb fts_search [options] search expression

Tee täysi tekstihaku koko kirjastosta tai sen osajoukosta.

Aina kun annat calibredb:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

    --do-not-match-on-related-words
        Täsmää vain tarkoilla sanoilla, ei toisiinsa liittyvillä sanoilla. Joten korjaus ei vastaa korjausta.

    --include-snippets
        Sisällytä tekstinpätkiä kunkin osuman ympärille. Huomaa, että tämä hidastaa hakua huomattavasti.

    --indexing-threshold
        Kuinka suuri osa kirjastosta on indeksoitava prosentteina ennen haun sallimista. Oletusarvo on 90

    --match-end-marker
        Merkki, jota käytetään osoittamaan vastaavan sanan loppua katkelmassa

    --match-start-marker
        Merkki, jota käytetään osoittamaan vastaavan sanan alkua katkelmassa

    --output-format
        Muoto, jossa hakutulokset tulostetaan. Joko "teksti" tavalliselle tekstille tai "json" JSON-tulosteelle.

    --restrict-to
        Rajoita haettavia kirjoja joko hakulausekkeen tai tunnusten avulla. Esimerkiksi: ids:1,2,3, jos haluat rajoittaa tunnuksella, tai search:tag:foo, jos haluat rajoittaa kirjoihin, joissa on tunniste foo.

Author
Kovid Goyal

Copyright
Kovid Goyal